
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>怎么友好的索取手机权限 / iVAN</title>

    <meta name="description" content="怎么友好的索取手机权限 上周好像什么事情都没有发生,似也无从念叨;这不是很好的吗?周五和老小伙伴们碰头聚会,吃香喝辣,谈天论地,确是痛快. 说到吃,昨天剪好头发之后,在家门口小店买了炸鸡排,这是一直以来都没有个改变的习惯.自从小理发馆换了老板之后,剪得头发越来越不满意;自从炸鸡店换了老板,鸡排也越来越难吃;又想到从前常叫的外卖譬如拉面馆的炒面啊大盘鸡啊还有西北馆的各种风味小吃或是每到夏天都会犯瘾的烧烤,全部都没有以前的好. 才一两年的时间,好的都变得不好了,这事儿让我想起&lt;基地&gt;,丹莫茨尔撺掇谢顿研究心理史 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">怎么友好的索取手机权限</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　上周好像什么事情都没有发生，似也无从念叨;这不是很好的吗?周五和老小伙伴们碰头聚会，吃香喝辣，谈天论地，确是痛快。</p>
<p>　　说到吃，昨天剪好头发之后，在家门口小店买了炸鸡排，这是一直以来都没有个改变的习惯。自从小理发馆换了老板之后，剪得头发越来越不满意;自从炸鸡店换了老板，鸡排也越来越难吃;又想到从前常叫的外卖譬如拉面馆的炒面啊大盘鸡啊还有西北馆的各种风味小吃或是每到夏天都会犯瘾的烧烤，全部都没有以前的好。</p>
<p>　　才一两年的时间，好的都变得不好了，这事儿让我想起《基地》，丹莫茨尔撺掇谢顿研究心理史学时反复强调的衰败衰败...我不觉得自己在生活的细节里过分敏感，感觉正在变坏的，确是在变坏;真讨厌。</p>
<p>　　话说今天这篇文章，最近几日看到到处在转另外一版译文，相对浓缩一些，也挺好看的;我学我的，我做我的。文中阐述的思路和具体方法，值得各位设计伙思考与参考;“术”未必对所有的产品都适用，但“道”确是皆通一理。下面进入译文。</p>
<p>　　Cluster是我设计过的第一个iOS原生应用，整个历程让我学习到了很多在过去的Web设计当中不曾考虑过的东西。在Web世界中，你通常只需要创建页面让用户浏览或使用，而在iOS上，除了引导用户下载并使用你的应用以外，你时常需要向他们索取各方面的权限，例如获取地理位置，或是访问通讯录、相机、照片等等。</p>
<p>　　在设计Cluster的过程中，我们在很多细微却充满变数的交互环节里花了不少心思，以提升用户的满意度及信任感;其中“怎样向用户索取权限”就是我们关注的重点之一。</p>
<p>　　关于这一点，我们得出的结论可以概括为：</p>
<p>　　除非当前确实需要，否则不要向用户索取权限。</p>
<p>　　索取权限时要让用户明确的了解授权后的好处是什么。</p>
<p>　　一次性成功获取权限的重要性</p>
<p>　　对很多应用来说，无法成功获取权限便意味着整体功能和体验的大打折扣。例如LBS类的应用，如果在索取权限时遭到用户的拒绝，那么该应用基本等同于无用了。另外，如果消息推送在你的应用当中扮演着微妙而重要的作用，能使用户保持习惯性的使用，那么获取权限时的失败或许会导致用户的流失。</p>
<p>　　更坏的是，点击“不允许”是很轻松的，而要撤销这个决定则不太容易，用户至少需要以下五步才能打开授权，而且在应用内部很难为用户列出这些详细的步骤，更没法帮他们直接进入相关设置界面，用户只能靠自己去摸索。</p>
<p>　　1.退回到系统 2.进入设置 3.找到“隐私”设置项 4.进入“照片” 5.找到需要授权的应用并打开权限</p>
<p>　　换句话说，如果用户第一次拒绝了授权，使应用无法正常使用，那么应用自身几乎没可能向用户解释怎样修复这一问题。所以我们要尽最大努力确保第一次向用户索取访问权限时用户能点击“好”。</p>
<p>　　两种常见的设计模式</p>
<p>　　关于索取访问权限，我们通常会见到两种设计模式。</p>
<p>　　初次加载时即刻索取(不推荐)</p>
<p>　　大家应该都见过这种模式。你下载好一个应用，初次打开，界面当中立刻跳出一个提示：“我们可以给你推送消息吗?”然后又是一个提示：“我们可以访问你的相机吗?”接着又是一个“我们可以访问你的通讯录吗?”</p>
<p>　　除非用户很熟悉或信赖这款产品，否则他们更可能去点击“不允许”。这种方式和走在大街上随便拉一个人过来问“你能和我约会吗?”差不多。</p>
<p>　　我们在第一版的Cluster里使用了这种方法，结果只有不到40%的用户会同意授权。</p>
<p>　　让用户了解好处(次佳)</p>
<p>　　比起没头没脑的向用户索取权限，这种方式略好些，但有效性依然不高。</p>
<p>　　如上图所示，HeyDay应用在索取权限时会在提示框中对授权之后能得到的好处进行说明。而且，他们是在功能介绍的最后一步向用户索取权限的，这使得用户在决定是否授权之前就已经对应用的功能有了大致的了解(假设用户确实会阅读功能介绍)，从而更有可能通过授权。</p>
<p>　　我们的Cluster在采用了这种方式之后，一次性通过授权的用户量从40%提升到了66%的样子。</p>
<p>　　对于某些特定的应用，如果只能在以上两种方式当中进行选择，那么让用户在了解好处之后再决定是否授权，比单纯的提问要有效的多。</p>
<p>　　我们的探索</p>
<p>　　我们持续探索着Cluster向用户索取权限的方式，并找到了两种方法，使权限对话框尽可能的在用户想要说“好”的时候才出现。</p>
<p>　　预授权对话框</p>
<p>　　我们用到了一个小技巧，也就是在系统弹出授权对话框之前向用户展示我们自己创建的“预授权”对话框。</p>
<p>　　正像前面所说的，用户在系统层面拒绝对应用授权是很糟的状况，因为要重新打开授权是很麻烦的。不过如果我们在系统级授权对话框之前预先询问，那么即使被用户拒绝，我们也仍然有一次机会能让他们说“好”。</p>
<p>　　对于Cluster的照片访问授权来说，那些在“预授权”对话框里点击“不允许”的用户当中有46%会在接下来出现的系统级授权对话框中点击“好”。</p>
<p>　　实现方式比你想象的要简单。你可以增加一个额外的iOS系统对话框，或设计一个定制化的界面，来实现“预授权”。</p>
<p>　　1.iOS系统风格的预授权对话框</p>
<p>　　在较早的一个版本中，我们尝试了这种方式，也就是使用iOS系统风格的对话框询问用户两次;其中第一次的就是我们额外增加的“预授权”对话框：</p>
<p>　　预授权对话框(上图中间的界面)会在应用第一次需要访问照片时弹出，其中的说明文字是“这可以让你从相册中选择照片并添加到群里”;两个按钮分别是“现在不授权”和“给予授权”。如果用户点击“现在不授权”，应用并不会将这个行为认作系统级的“拒绝授权”，而是会在将来需要的时候进行二次询问，其中，我们进一步向用户解释：“Cluster只会上传和分享你所选中的照片”。</p>
<p>　　那些第一次匆匆忙忙拒绝授权的用户仍然有机会了解情况并改变决策;而根据统计，那些第一次点击了“给予授权”的用户当中只有3%会在第二次询问中点击“不允许”。</p>
<p>　　虽然这种双重确认的模式看上去有些烦人，但至少对我们来说是相对有效的方式，让我们仍有可能获得那些第一次拒绝了授权的用户。而且根据我们的测试，没有一个被测用户在看到第二个对话框时表现出犹豫或迷茫。</p>
<p>　　2.具有引导性的预授权浮层</p>
<p>　　在向用户索取通讯录访问权限的环节里，我们想给用户展示更多的说明信息，以确保更多的用户可以授权应用访问通讯录。这时系统的对话框就显得不够用了，另外灵活性也不足，于是我们设计了一个浮层：</p>
<p>　　用户决定邀请好友时，我们首先会通过这样一个浮层(如上图中间界面所示)给用户两个选择：一是从系统的通讯录中选择好友，一是手动输入对方的联系方式。我们让用户知道第一种方式更加便捷，但是需要授权;这能使用户尽可能充分的知情，对接下来将要发生的事情有所了解。那些选择了“使用通讯录”的用户在很大程度上已经是对情况有所了解并作出授权决定的，于是在接下来弹出的索取权限对话框中更有可能直接确认授权。</p>
<p>　　和前面一种方式类似，双重询问的模式感觉是有些麻烦，但在这种情况下，用户可以更多的知情，几乎没有人会点击“不允许”。而且那些一开始选择了手动输入联系方式的用户仍然有退路可以重新选择使用通讯录。</p>
<p>　　用户自己触发的权限对话框(最为成功的方式)</p>
<p>　　上面介绍的“预授权”模式，本质上讲，更多的是在减少用户不授权的可能;我们觉得这里依然有优化的空间。通过将问题进行解构，我们意识到，以上方式并没有改变“用户不期望被索取权限”的现实，所以我们继续探索，并尝试了一种让用户自己有意触发授权的方式。</p>
<p>　　访问照片</p>
<p>　　过去的版本中，在Cluster创建新空间的第一步就是添加照片。这就意味着用户点击“创建Cluster”之后立刻会看到获取访问照片权限的提示。当时的统计数据是，67%的用户会给予授权。我们认为这一数字仍有提升空间。</p>
<p>　　我们决定将上传照片的环节向后推迟几步，直到用户首先理解了Cluster推崇的概念到底是什么，能怎样玩儿，然后由他们自己主动产生尝试的欲望，并点击相机图标，接着是“选择照片”，此时再提出获取权限的请求。</p>
<p>　　这一改变使获取照片权限的通过率从67%上升至89%。</p>
<p>　　因为在这个时候，用户已经有意去上传照片了，给予应用访问照片的权限是再自然不过的事情了。</p>
<p>　　访问通讯录</p>
<p>　　我们曾经问过自己，如果用户同意应用访问他们的通讯录，那么他们能得到的最大的好处是什么?在曾经使用过的“预授权”模式当中，我们允许用户手动输入想要邀请的朋友的联系方式，并希望藉此来促使他们选择“使用通讯录”的方式，同时授权应用访问手机通讯录。这种方式的思路是对的，但问题在于，在用户进行选择之前，他们是无法感觉到手动模式的“痛苦”的，相应的也就难以看到授权访问通讯录的甜头。</p>
<p>　　最终，我们决定在添加朋友的环节中默认使用手动输入的模式，首先让用户尝到一点点“苦头”，让他们感受到在无法访问通讯录的情况下添加联系人有多空洞。当用户手动输入联系人名字的时候，会发现没有任何查询结果，同时看到“从iPhone通讯录中匹配结果”的选项。这时，用户便会更加主动的去点击这一选项;接下来，我们便向他们索取访问通讯录的权限。</p>
<p>　　这一改变使获取通讯录权限的通过率达到了100%。</p>
<p>　　推送消息</p>
<p>　　Cluster这款应用可以帮助用户在自己的朋友圈子里创建小私密空间。我们再次问自己，推送消息可以给用户带来的最大价值是什么?答案是让用户了解他们的朋友在小空间当中的动态。</p>
<p>　　当用户第一次创建了私密空间，并邀请了一些朋友，我们会问他们一个非常符合当时逻辑的问题：“是否希望在他们接受邀请加入空间后通过消息提示到你?”如果用户选择“提示我”，那么索取推送信息权限的对话框就会呈现，如果他们选择“不用，谢了”，我们就会跳过这一步。</p>
<p>　　这里的数据和前面一样：100%的用户在点击“提示我”之后会选择授权。</p>
<p>　　我们所学到的：情境至关重要</p>
<p>　　当然，每个应用都各有不同，但是道理是相通的：要顺利的获取用户授权，你必须用心考虑在哪些时候、怎样的情境下，用户会真的需要应用从他们的手机中获取数据;你要确保在正确的环节当中使用户期望自己被问到，期望应用能想其所想。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 03:04:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%89%8b%e6%9c%ba%e6%9d%83%e9%99%90/" title="手机权限">手机权限</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>怎么友好的索取手机权限的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL8okRp.html" rel="bookmark">央视《对话》关注移动安全 软件滥用手机权限藏隐患</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 当前,智能手机日益普及,但绝大多数用户都对&quot;手机软件权限&quot;一无所知,殊不知其中隐藏着极大的安全隐患.在近日播出的央视&lt;对话&gt;栏目上,北卡罗来纳州立大学蒋旭宪教授表示,当前多数手机应用存在过度申请权限问题.在他最新的一次研究中还发现,主流手机中过度申请权限的应用比例更是超过八成,手机中的通讯录.位置.短信等隐私很可能会因此泄露,甚至对用户财产构成威胁. 图:360首席科学家蒋旭宪称,软件滥用手机权限藏隐患 据了解,手机应用过度调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYK9Gb.html" rel="bookmark">联想乐檬K3手机权限怎么管理 乐檬K3手机权限管理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个应用管理权限手机自带了,我们只要按下面的来操作就可以了. 1.我们打开手机之后我们点击&quot;乐安全&quot;之后找到&quot;隐私保护&quot;然后打开进入 2.之后我们找到&quot;应用权限管理&quot;打开进入,细节如下图所示 3.然后我们点击 管理中我们可以看到很多权限,这些权限都是应用常提项 如图所示 4.然后我们可以找到下面的 一项或多项,将其全部取消 具体如下图所示 好了到了这里关于乐檬K3管理权限就介绍完了,希望文章可以帮助到各位朋友的哦.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDJOPlM.html" rel="bookmark">美最高法院将裁决警察索取手机位置是否需要法院命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				美国最高法院表示今天将会裁决执法部门有争议地使用手机信号塔历史位置数据的问题,这可能会对美国隐私法具有重大影响.这个案例集中在一个实践中,即允许警方引用一个有争议的法规,称为&quot;存储通信法&quot;,无需法院颁发命令来收集手机历史位置信息. 电讯公司向执法人员提供位置数据,可以揭示一个人的移动设备在某一时间内的位置.公民自由组织认为该法规侵犯了第四修正案.最近在一名抢劫嫌疑犯在警方获得数月记录显示了近一千三百个位置点的数据之后认罪. ACLU美国公民自由联盟表示,这种问题的核心在于问题,蜂窝服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRBaBz.html" rel="bookmark">怎样向用户索取权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 仔细想想,上周什么事情都没有发生,似也无从念叨;这不是最好的状态么?周五和老小伙伴们碰头聚会,吃香喝辣,谈天论地,确是痛快. 说到吃,昨天剪好头发在家门口小店买了炸鸡 仔细想想,上周什么事情都没有发生,似也无从念叨;这不是最好的状态么?周五和老小伙伴们碰头聚会,吃香喝辣,谈天论地,确是痛快. 说到吃,昨天剪好头发在家门口小店买了炸鸡排,这是一直以来的习惯.自从小理发馆换了老板,体验便一次不如一次;自从炸鸡店换了老板,鸡排便越来越难吃;又想到从前常叫的外卖譬如拉面馆的炒面啊大盘鸡啊还有西北			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6AgAAb.html" rel="bookmark">红米Note手机轻松获取root权限的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1)我们先百度去下载一个&quot;ROOT精灵&quot;然后我们把它下载在电脑中.   2)好了现在在手机中打开usb调试,然后再把手机与电脑连接,连接成功之后在电脑中打开root精灵软件,软件显示连接手机之后我们点击&quot;一键Root&quot;. 3)在此时间root软件会帮我们root手机权限了,在这个时间我们只要耐心等待即可.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKgoAz.html" rel="bookmark">手机间谍软件网上热卖智能时代用户安全谁做主</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本报实习记者 陈明星 随着手机功能的越来越完善,手机越来越多的参与人们的生活,成为人们生活中的必需品,手机安全和手机隐私也受到越来越多的关注.据媒体日前报道,最近,一系列号称&quot;手机间谍&quot;的软件在网上热卖,用智能手机下载安装这一软件后,通话.短信.通讯录等个人隐私就能被远程监听监看,给通讯安全带来极大威胁,智能时代的手机安全问题亟待解决. &quot;手机间谍&quot;软件网上遭热炒 &quot;监视.跟踪.婚恋.公司机密.竞标,手机监听卡一切皆知&quot;.近期,一种名为&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MraOmWb.html" rel="bookmark">在正确的情境中向用户获取iOS权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Cluster是我设计过的第一个iOS原生应用,整个历程让我学习到了很多在过去的Web设计当中不曾考虑过的东西.在Web世界中,你通常只需要创建页面让用户浏览或使用,而在iOS上,除了引导用户下载并使用你的应用以外,你时常需要向他们索取各方面的权限,例如获取地理位置,或是访问通讯录.相机.照片等等. 在设计Cluster的过程中,我们在很多细微却充满变数的交互环节里花了不少心思,以提升用户的满意度及信任感:其中&quot;怎样向用户索取权限&quot;就是我们关注的重点之一. 关于这一点,我们得出的结论可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N7Bnz.html" rel="bookmark">android-Android程序在有些手机上可以运行有些手机打开时就报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android程序在有些手机上可以运行有些手机打开时就报错 有些人说是手机系统版本的问题,我的版本设置为 android:minSdkVersion=&quot;&quot;8&quot;&quot; android:targetSdkVersion=&quot;&quot;19&quot;&quot; /&gt;错误为:03-27 17:42:49.851: D/jdwp(18655): sendBufferedRequest : len=0x3303-27 17:42:50.544: D/d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mydvjkb.html" rel="bookmark">不断更新手机客户端到底意义何在？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 我估计对于有些具有强迫症用户来说,可能他们更新APP的唯一目的就是为了消除那个代表有多少软件需要更新的数字. 现在这个社会,基本上每个人手中都有自己的手机,因此在每个人心中都有自己的一套APP组合,把自己作为APP生杀予夺的裁判,也不是稀奇的事情.而笔者作为一个普通的手机使用屌丝,却是一直在好奇,把很多APP合为一个分类,先下载后又删除,又或者因为强迫症而不断升级,在这之中到底有着什么规律.因为经常观察自己的操作,所以我也有了一些心得,然后就产生了以下一些思考和疑惑. APP的工具属性和兴趣属			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxW9jb.html" rel="bookmark" class="title">CloudStack 4&period;4&plus;KVM之虚拟机模板创建</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1565551 Cloud ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxjLQz.html" rel="bookmark" class="title">XML指南&mdash;&mdash;XML 浏览器（Netscape、Explorer）</a>
					<div>
						xml|浏览器    在我们这个XML指南里,我们把焦点放在Internet Explorer 5.0及其以后的版本上. Web站点上的XML 许多应用程序都支持XML.我们主要研究Internet  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWodnM.html" rel="bookmark" class="title">图解Photoshop内置滤镜14：抽出</a>
					<div>
						滤镜 第十四组: Extract(抽出) Extract(抽出)在7.0中被移到了滤镜菜单中,可别找不着了喔! 作用:Extract(抽出) 可以将对象与其背景分离,无论对象的边缘是多么细微和复杂,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkKnjp.html" rel="bookmark" class="title">一段php加密解密的代码</a>
					<div>
						加密|解密 &lt;?php $key = &quot;This is supposed to be a secret key !!!&quot;; function keyED($txt,$encr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1VYjz.html" rel="bookmark" class="title">MySQL中DATE</a>
					<div>
						  今天帮同事处理一个SQL(简化过后的)执行报错:  代码如下   mysql&gt; select date_format('2013-11-19','Y-m-d') &gt; timediff( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7qyXb.html" rel="bookmark" class="title">电脑无法启用共享访问错误1061怎么办？</a>
					<div>
						  首先按Win+R打开运行,输入regedit进入注册表编辑器. 依次点击目录HKEY_LOCAL_MACHINESYSTEMCurrentControlSetServicesSharedAcces ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGjKwb.html" rel="bookmark" class="title">巧用photoshop教你修复翻新老照片</a>
					<div>
						  巧用photoshop教你修复翻新老照片,主要通过修复工具.图章工具以及涂抹工具,简单粗暴,最关键是耐心,有兴趣的童鞋们 分类: PS图片处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYZJXb.html" rel="bookmark" class="title">打开方式 自定义-如何利用快捷键打开文件</a>
					<div>
						问题描述 如何利用快捷键打开文件 我的实际问题: 我想用txt打开html文件,现在我发现自己最快只能通过右键&quot;用记事本打开&quot;的方式,但是我认为这样太慢了,是否有更加快捷的方式(譬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq84E3b.html" rel="bookmark" class="title">glyphs-C&num; XPS 中 关于 Glyphs 里面文字坐标的问题</a>
					<div>
						问题描述 C# XPS 中 关于 Glyphs 里面文字坐标的问题 20C 已知有如下数据 请教下,怎么去计算每个字的X坐标?精准的Y坐标我这边能够提取到,起始的X坐标也能够计算出来,但是怎么去计算出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdPYwM.html" rel="bookmark" class="title">《树莓派Python编程入门与实战》&mdash;&mdash;2&period;3　使用Raspbian图形用户界面</a>
					<div>
						2.3 使用Raspbian图形用户界面 树莓派Python编程入门与实战 默认情况下,当你启动树莓派并登录后会进入到Linux命令行.但是树莓派同样还有一个图形用户界面(GUI,Graphical  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRLqXz.html" rel="bookmark" class="title">苹果新专利：双屏电子书设备 支持体感操控</a>
					<div>
						7 月 30 日消息,美国专利商标局今天公布了苹果新获得的一项技术专利,这项新专利与电子书设备相关.根据苹果在专利文件中的透露,他们发明了一种拥有两个显示屏幕的电子书设备,两个屏幕分别位于设备的前后方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAO9OM.html" rel="bookmark" class="title">&amp;amp&semi;amp&semi;quot&semi;illegal start of expression&amp;amp&semi;amp&semi;quot&semi;</a>
					<div>
						问题描述 各位大虾,帮忙看看!Vector3f[]vertexes=newVector3f[4];vertexes={newVector3f(0,0,0),newVector3f(1,0,0),new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYXjz.html" rel="bookmark" class="title">深度｜详解自动驾驶核心部件激光雷达，它凭什么卖70万美元？</a>
					<div>
						本月初,全球传感器与智能化发展高峰论坛在北京亦庄召开,会议探讨了当前智能传感器发展现状及技术瓶颈,以便实现传感器技术未来发展的弯道超车.在无人驾驶分论坛上与会专家探讨了激光雷达的重要作用,笔者也分享了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7rZWp.html" rel="bookmark" class="title">Android app开发如何通过按键来打开蓝牙，求一实例</a>
					<div>
						问题描述 Android app开发如何通过按键来打开蓝牙,求一实例 小弟最近在研究app蓝牙的开发,需要通过一个按键来打开手机的蓝牙设备,希望好心人能给个实例让我研究一下,都已经纠结好久了 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrNKrM.html" rel="bookmark" class="title">所有程序员都应该遵守的 11 条规则</a>
					<div>
						  所有程序员都应该遵守的11 条规则   ************************************************************************** 英文原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgBeab.html" rel="bookmark" class="title">c&num;wi-C&num;中如何在windowsmediaplayer 控件屏幕中添加文本呢，求大神指导</a>
					<div>
						问题描述 C#中如何在windowsmediaplayer 控件屏幕中添加文本呢,求大神指导 C#中如何在windowsmediaplayer 控件屏幕中添加文本呢或者添加字幕呢?哪个属性是的?大神指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba73xNp.html" rel="bookmark" class="title">【X】按钮缘何会成为关闭按钮</a>
					<div>
						[x]是一个在UI和交互界面中是必不缺少的元素.而在浸提那,几乎在每一个窗口的边角上都会有着[x],可以说它是一个强大的符号,因为它是关闭窗口.弹出框.选项卡和其他任何塞满你屏幕的视觉元素的必经之路. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgQOAM.html" rel="bookmark" class="title">mahout-linux下eclipse运行k-means算法出现问题</a>
					<div>
						问题描述 linux下eclipse运行k-means算法出现问题 请问遇到的问题如何解决?ubuntu为14.0.4(64位),hadoop为1.0.4(64位). 解决方案 Mouhout运行k- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWYeEM.html" rel="bookmark" class="title">戴尔&OpenCurlyDoubleQuote;云计算&rdquo;商标申请受阻</a>
					<div>
						本文讲的是戴尔&quot;云计算&quot;商标申请受阻,[IT168 资讯]日前,美国专利和商标办公室(USPTO)已否认了戴尔公司申请&quot;云计算&quot;作为商标的请求. 根据Sam J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YwdZz.html" rel="bookmark" class="title">iPhone平台发布音乐游戏《迈克杰克逊：体验》</a>
					<div>
						育碧近日在iPhone平台发布音乐游戏&lt;迈克杰克逊:体验&gt;,此前该公司相继在XBOX平台.PS3平台推出音乐游戏&lt;迈克杰克逊:生涯&gt;,iPad平台和PSP.wii.NDS平台上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6dE2M.html" rel="bookmark" class="title">段中洋：微博的崛起能否赎回被剥夺的权力</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在传统社会信息是以垂直的方式流动, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnl3mp.html" rel="bookmark" class="title">ERP中&OpenCurlyDoubleQuote;分数问题&rdquo;的两种解决方法研究</a>
					<div>
						在ERP使用中,往往会遇到&quot;分数问题&quot;,最常见的就是包装箱的问题.如:一个包装箱里,装3个成品,那么每个成品的用量就是三分之一的纸箱.在手工作业中,直接可以用分数来表示.但是,由于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7l5qM.html" rel="bookmark" class="title">深入浅析Nginx实现AJAX跨域请求问题&lowbar;AJAX相关</a>
					<div>
						AJAX从一个域请求另一个域会有跨域的问题.那么如何在nginx上实现ajax跨域请求呢?要在nginx上启用跨域请求,需要添加add_header Access-Control*指令.如下所示: l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G0nyp.html" rel="bookmark" class="title">js弹出框、对话框、提示框、弹窗实现方法总结&lpar;推荐&rpar;&lowbar;javascript技巧</a>
					<div>
						一.JS的三种最常见的对话框 //====================== JS最常用三种弹出对话框 ======================== //弹出对话框并输出一段提示信息 funct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEyWjp.html" rel="bookmark" class="title">JQuery实现动态适时改变字体颜色的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了JQuery实现动态适时改变字体颜色的方法.分享给大家供大家参考.具体分析如下: JQuery动态适时改变字体的颜色,Ajax的效果类似,在文本框输入文字,再选择色块,输入的文字就会变成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQ9aM.html" rel="bookmark" class="title">网站进入百度沙盒的解决办法</a>
					<div>
						漫长的八天长假已经结束了,在这段时间里我们收获了很多的快乐--以为回来时我们的网站又要遭百度的&quot;黑手&quot;呢,没有想到百度不但再下狠手,居然还给了我们一个大惊喜,我们的网站居然从沙盒里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j72op.html" rel="bookmark" class="title">使SQL用户只能看到自己拥有权限的库&lpar;图文教程&rpar;&lowbar;MsSql</a>
					<div>
						以SQL Server 2012 为例 上图是部分数据库的截图, 我们执行 复制代码 代码如下: DENY VIEW any DATABASE to PUBLIC; 然后给Best库的Best用户执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWDLPz.html" rel="bookmark" class="title">在webservice服务端添加拦截器</a>
					<div>
						问题描述 在webservice服务端添加拦截器,获取访问的方法,客户端的IP等信息! 解决方案 解决方案二:你用什么实现的webservice?不同实现方式获取的方式不一样.jax-ws用WebSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkNyaM.html" rel="bookmark" class="title">asp&period;net 跳转到新页面的锚点 但是因为ajax请求 定位不准</a>
					<div>
						问题描述 asp.net 跳转到新页面的锚点 但是因为ajax请求 定位不准 我要跳转到新页面的锚点 但是加载后 有很多ajax请求(不止一个,一个能在回调函数处理) 回调后会改变容器的高度 我的锚点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlo2Dp.html" rel="bookmark" class="title">syntax error各位大哥帮我看看啊</a>
					<div>
						问题描述 varform1=newExt.FormPanel({renderTo:&quot;div&quot;,width:500,height:300,frame:true,title:&quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
